Bug 535286 - (RHQ-1999) RFE: Trigger DynaGroup recalculation on inventory change
RFE: Trigger DynaGroup recalculation on inventory change
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server, Inventory, Resource Grouping (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 04:47 EDT by Heiko W. Rupp
Modified: 2014-05-05 14:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-04-22 04:47:00 EDT
We can recalculate DynaGroups every n minutes.

It would be nice if the recalculation could be done when new resources are added to inventory or removed from it.
That way it would be simple to have a DynaGroup that just contains all resources for security purposes.
Comment 1 Red Hat Bugzilla 2009-11-10 15:55:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1999
Comment 2 Corey Welton 2010-08-10 14:15:58 EDT
Moving this to ON_QA -- move it back to assigned state if not passed.

Also, create a test case for this issue, for future tracking.
Comment 3 Sunil Kondkar 2010-08-11 06:52:41 EDT
Tested on jon-2.4GA

Inventoried a jbossAS server(eap5) and created a dynagorup with:
resource.type.plugin = JBossAS5
resource.type.name = JBossAS Server

Inventoried another jbossAS server(eap5.1) and observed that the recalculation does not happen for the dynagroup. 
Recalculating manually displays the new group member in the dynagroup.

The new resource is removed from dynagroup after uninventoring.

Note You need to log in before you can comment on or make changes to this bug.